Glyphs.layers error

There is an error when trying to use
glyph.layers

Traceback (most recent call last):
File “”, line 31, in
File “/Users/georg/Programmierung/Glyphs/Glyphs/Glyphs/Scripts/GlyphsApp.py”, line 17, in repr
File “/Users/georg/Programmierung/Glyphs/Glyphs/Glyphs/Scripts/GlyphsApp.py”, line 531, in next
File “/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC/ob jc/_convenience.py”, line 168, in _getitem__objectForKey
return container_unwrap(res, KeyError, key)
File “/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC/ob jc/_convenience.py”, line 634, in container_unwrap
raise exc_type(*exc_args)
KeyError: 0

Version 1.4.4 (605)

I cannot reproduce this. Can you post a link to your script?

What MacOS do you have?

OSX 10.7.5

The script is simple as
print Glyphs.font.glyphs[‘a’].layers

The error is when I have at least a non-master layer

Works fine in both 1.4.4 (605) and 2.0.0 (648) on OS X 10.10 (14A389).

In 10.7.5 this line stopped working since some update.
I have this issue also in mekkablue/Glyph-scripts, such as Variation interpolator

Traceback (most recent call last):
File “Variation Interpolator.py”, line 94, in VariationInterpolatorMain
File “/Users/georg/Programmierung/Glyphs/Glyphs/Glyphs/Scripts/GlyphsApp.py”, line 560, in getitem
File “/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC/ob jc/_convenience.py”, line 168, in _getitem__objectForKey
return container_unwrap(res, KeyError, key)
File “/System/Library/Frameworks/Python.framework/Versions/2.6/Extras/lib/python/PyObjC/ob jc/_convenience.py”, line 634, in container_unwrap
raise exc_type(*exc_args)
KeyError: 0

I can reproduce it in Glyphs 1 (Glyphs 2 is fine). Will have a look.

If I downgrade to 1.4.3 I don’t have the problem anymore. But I cant keep working on my files (crashes when I open them).
Can y have the first builds for 1.4.4?